Andrew Ammerlaan <
[email protected]> writes:
Author: Andrew Ammerlaan <[email protected]>
Date: Sun Feb 11 10:41:32 2024 +0100
Did you not use git-send-email here or what's going on?
Formatting looks off.
kernel-install.eclass: explicitly set kernel image to 644
The kernel build system sets the permissions on the kernel
image to 644. However objcopy creates a file with permissions
755. This causes a discrepancy in the permissions on the
installed kernel image between +generic-uki,-generic-uki and
between gentoo-kernel, gentoo-kernel-bin.
Restore the symmetry by explicitly setting the objcopy'ed
files permissions to 644.
Anyway, OK.
Signed-off-by: Andrew Ammerlaan <[email protected]>
diff --git a/eclass/kernel-install.eclass b/eclass/kernel-install.eclass index 47865a953389..f512d815fe09 100644
--- a/eclass/kernel-install.eclass
+++ b/eclass/kernel-install.eclass
@@ -621,6 +621,7 @@ kernel-install_extract_from_uki() {
$(tc-getOBJCOPY) -O binary "-j.${extract_type}" "${uki}" "${out}" ||
die "Failed to extract ${extract_type}"
+ chmod 644 "${out}" || die
}
# @FUNCTION: kernel-install_install_all
-----BEGIN PGP SIGNATURE-----
iOUEARYKAI0WIQQlpruI3Zt2TGtVQcJzhAn1IN+RkAUCZciZsV8UgAAAAAAuAChp c3N1ZXItZnByQG5vdGF0aW9ucy5vcGVucGdwLmZpZnRoaG9yc2VtYW4ubmV0MjVB NkJCODhERDlCNzY0QzZCNTU0MUMyNzM4NDA5RjUyMERGOTE5MA8cc2FtQGdlbnRv by5vcmcACgkQc4QJ9SDfkZCU0wEA3ZI3ZizLHljzIRwYbuCZCXk1bRUA1GVpFvG9 GdzB3S0BAL9LZKSoXGBg9Ut6P/w/vAV4X9abZEzVl9Uv7X8lBBQI
=019D
-----END PGP SIGNATURE-----
--- SoupGate-Win32 v1.05
* Origin: fsxNet Usenet Gateway (21:1/5)